export function headerToggle() {
  const header = document.getElementById("site-header");
  const buttonToggle = document.querySelector("#menu-toggle");

  if (!header || !buttonToggle) return;
  buttonToggle.addEventListener("click", () => {
    const isOpen = document.body.classList.toggle("menu-open");
  });
}


// DELETE ?
export function headerScrollVisibility() {
  const header = document.getElementById("site-header");

  if (!header) return;

  function checkScroll() {
    if (window.scrollY >= 300) {
      header.classList.add("is-visible");
    } else {
      header.classList.remove("is-visible");
    }
  }

  window.addEventListener("scroll", checkScroll);
  checkScroll();
}

